You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

72 lines
2.1 KiB

  1. Package: glibmm2.4-shlibs
  2. Version: 2.50.0
  3. Revision: 1
  4. Depends: <<
  5. glib2-shlibs (>= 2.50.0-1),
  6. libsigc++2-shlibs (>= 2.10.0-1)
  7. <<
  8. BuildDepends: <<
  9. fink (>= 0.24.12),
  10. fink-package-precedence,
  11. glib2-dev (>= 2.50.0-1),
  12. libsigc++2 (>= 2.10.0-1),
  13. pkgconfig (>= 0.23)
  14. <<
  15. Source: mirror:gnome:sources/glibmm/2.50/glibmm-%v.tar.xz
  16. Source-MD5: e7416beff6cba1f38c2bccd0dc8c3278
  17. SetCPPFLAGS: -DX_LOCALE
  18. SetCFLAGS: -Os -pipe
  19. SetCXXFLAGS: -Os -pipe
  20. ConfigureParams: --mandir=%p/share/man --enable-dependency-tracking --enable-warnings=maximum PKG_CONFIG_PATH="%p/lib/glib-2.0/pkgconfig-strict:$PKG_CONFIG_PATH"
  21. CompileScript: <<
  22. PERL_PATH=/usr/bin/perl M4=/usr/bin/m4 ./configure %c
  23. make
  24. fink-package-precedence --prohibit-bdep glibmm2.4-dev .
  25. <<
  26. InstallScript: <<
  27. make -j1 install DESTDIR=%d
  28. <<
  29. DocFiles: AUTHORS COPYING* ChangeLog NEWS README
  30. Shlibs: <<
  31. %p/lib/libgiomm-2.4.1.dylib 4.0.0 %n (>= 2.18.0-1)
  32. %p/lib/libglibmm-2.4.1.dylib 4.0.0 %n (>= 2.18.0-1)
  33. %p/lib/libglibmm_generate_extra_defs-2.4.1.dylib 4.0.0 %n (>= 2.18.0-1)
  34. <<
  35. SplitOff2: <<
  36. Package: glibmm2.4-dev
  37. Depends: glibmm2.4-shlibs (= %v-%r)
  38. Replaces: glibmm2.4-common, glibm2.4-shlibs (<< 2.6.1-1), glibmm2.4 (<< %v-%r)
  39. Conflicts: glibmm2.4-common
  40. BuildDependsOnly: True
  41. Files: <<
  42. include
  43. lib/*mm-2.4
  44. lib/lib*-2.4.{dylib,la}
  45. lib/pkgconfig
  46. share/devhelp
  47. share/doc/glibmm-2.4
  48. <<
  49. DocFiles: AUTHORS COPYING* ChangeLog NEWS README
  50. <<
  51. Description: C++ interface for the glib2 library
  52. DescPackaging: <<
  53. install_name and compatibility_version have not changed since %v=2.4.x
  54. for the libraries that have existed since then
  55. but those packages had those fields wrong in the Shlibs entries. So
  56. we'll make a clean break with the Shlibs dependency.
  57. Doc processor (lib/glibmm-2.4/proc) moved glibmm2.4-shlibs ->
  58. glibmm2.4 as of 2.6.1-1
  59. Then moved glibmm2.4 -> glibmm2.4-dev as of 2.12.10-1/1001
  60. Misc other docs and things used by things that use glibmm moved
  61. glibmm2.4->glibmm2.4-dev as of 2.12.10-2/1002, and some more strays as
  62. of 2.20.2-2
  63. Not sure why we pass -DX_LOCALE
  64. <<
  65. License: LGPL
  66. Maintainer: The Gnome Core Team <fink-gnome-core@lists.sourceforge.net>
  67. Homepage: http://www.gtkmm.org